import 'package:flutter/material.dart';

import 'package:custom_route_transitions_jm/custom_route_transitions_jm.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Material App',
      initialRoute: 'page1',
      routes: {
        'page1': (_) => Page1Page(),
        'page2': (_) => Page2Page(),
      },
    );
  }
}

class Page1Page extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar:
          AppBar(title: Text('Page 1'), backgroundColor: Colors.transparent),
      backgroundColor: Colors.blue,
      body: Center(
        child: MaterialButton(
          child: Text('Go to Page 2'),
          color: Colors.white,
          onPressed: () {
            RouteTransition(
              context: context,
              child: Page2Page(),
              animation: AnimationType.fadeIn,
              duration: Duration(milliseconds: 100),
              replacement: true,
            );
          },
        ),
      ),
    );
  }
}

class Page2Page extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar:
          AppBar(title: Text('Page 2'), backgroundColor: Colors.transparent),
      backgroundColor: Colors.blueGrey,
      body: Center(
        child: Text('Hola Mundo'),
      ),
    );
  }
}
